Package twisted :: Package protocols :: Module shoutcast :: Class ShoutcastClient |
[frames | no frames]

## Class ShoutcastClient

    BaseProtocol --+
                   |
            Protocol --+
                       |
            LineReceiver --+
                           |
                  HTTPClient --+
                               |
                              ShoutcastClient

Shoutcast HTTP stream.

Modes can be 'length', 'meta' and 'mp3'.

See http://www.smackfu.com/stuff/programming/shoutcast.html for details on the protocol.

Method Summary
| `__init__(self, path)`
| ``connectionMade`(self)` Called when a connection is made.
| ``gotMetaData`(self, metadata)` Called with a list of (key, value) pairs of metadata, if metadata is available on the server.
| ``gotMP3Data`(self, data)` Called with chunk of MP3 data.
| `handle_length(self)`
| `handle_meta(self)`
| `handle_mp3(self)`
| `handleEndHeaders(self)`
| `handleHeader(self, key, value)`
| `handleResponsePart_with_metadata(self, data)`
| ``lineReceived`(self, line)` Override this for when each line is received.
| `parseMetadata(self, data)`
Inherited from HTTPClient
| ``connectionLost`(self, reason)`
| ``endHeaders`(self)`
| ``handleResponseEnd`(self)`
| ``handleResponsePart`(self, data)`
| ``handleStatus`(*args)`
| ``rawDataReceived`(self, data)` Override this for when raw data is received.
| ``sendCommand`(self, command, path)`
| ``sendHeader`(self, name, value)`
Inherited from LineReceiver
| ``clearLineBuffer`(self)` Clear buffered data.
| ``dataReceived`(self, data)` Protocol.dataReceived.
| ``lineLengthExceeded`(self, line)` Called when the maximum line length has been reached.
| ``sendLine`(self, line)` Sends a line to the other end of the connection.
| ``setLineMode`(self, extra)` Sets the line-mode of this receiver.
| ``setRawMode`(self)` Sets the raw mode of this receiver.
Inherited from Protocol
| ``connectionFailed`(self)` (Deprecated)
Inherited from BaseProtocol
| ``makeConnection`(self, transport)` Make a connection to a transport and a server.

Class Variable Summary
Inherited from HTTPClient
`str` | `_HTTPClient__buffer` = `''`
`int` | `firstLine` = 1
`NoneType` | `length` = None
Inherited from LineReceiver
`str` | `_LineReceiver__buffer` = `''`
`str` | `delimiter`: The line-ending delimiter to use.
`int` | `line_mode` = 1
`int` | `MAX_LENGTH`: The maximum length of a line to allow (If a sent line is longer than this, the connection is dropped).
Inherited from Protocol
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IPr...`
Inherited from BaseProtocol
`int` | `connected` = 0
`NoneType` | `transport` = None

Method Details

### connectionMade(self) Called when a connection is made. This may be considered the initializer of the protocol, because it is called when the connection is completed. For clients, this is called once the connection to the server has been established; for servers, this is called after an accept() call stops blocking and a socket has been received. If you need to send any greeting or initial message, do it here. Overrides: `twisted.protocols.http.HTTPClient.connectionMade` (inherited documentation)

### gotMetaData(self, metadata) Called with a list of (key, value) pairs of metadata, if metadata is available on the server. Will only be called on non-empty metadata.

### gotMP3Data(self, data) Called with chunk of MP3 data.

### lineReceived(self, line) Override this for when each line is received. Overrides: `twisted.protocols.http.HTTPClient.lineReceived` (inherited documentation)

Generated by Epydoc 2.0 on Sat Oct 25 00:54:55 2003 | http://epydoc.sf.net